<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>HTML Forms</title>
	</head>
	<body>
		<h2 align="center">Welcome to the Forms page</h2>
		<!-- Semantic Tag
	
			Semantic Tags are new additions to HTML. Semantic Tags are also containers for elements but unlike divs they are defenitive and describe  its content without relying to  semantic id. However, em, emphasis, strong, are also considered semantic tags. <i>/<b>.

			Semantic container such as nav,main,sections, etc. These semantic containers are now more preferred by developers because it aids SEO, browsers as well as other developers.

		 -->
		 <!-- main is a semantic container used to show/display the main content of a page -->
		 <main>
		 	
		 	<!-- sections are used to show parts of a page  or content -->
		 	<section>
		 		<h2>HTML Forms</h2>
		 		<p>HTML forms are used to gather information/data from our user and send that information to  a server.</p>
		 	</section>
		 	<section>

		 		<!-- form tags allows us to create a form. We can gather and send user input from our form. -->
		 		<!-- action attribute is used to define where the information gathered will be passed after submission. -->
		 		<form action="https://google.com">

		 			<!-- label tags create a text element that serves as a labelto an input field. We can add a for attribute to this element such  that when this label  is clicked our cursor will be moved into our input. -->
		 			<!-- Full name -->
		 			<label for="fname">Full Name:</label>
		 			<br>

		 			<!-- input  tag allows us to create an input element which can be used to add user input.
				
					type attribute in input elements allows us to identify what kind of information is to be gathered. It also affects the behavior of the input element.
		
					name attribute allows us to provide a name, identifier for the VALUE of the input element. This is used to identify the value of an input in a form data.

					id attribute allows us to identify the input element. It is also used as reference of the for attribute by an appropriate label eleement.

					required attribute will not allow the form to be submitted until the input element has a value or data.

					autocomplete attribute provide suggestions for inputs and allows for better user experiences

		 			 -->
		 			<input type="text" name="fullname" id="fname" required="autocomplete" placeholder="enter your full name here">
		 			<br>
		 			<!-- type=date for an input element changes the behavior of the input element and only allows the input of dates. -->
		 			<!-- birthdate -->
		 			<label for="bday">Birthdate</label>
		 			<input type="date" name="bdate" id="bday" required>
		 			<br>


		 			<!-- type="number" for an input element allows us to only input numbers. -->
		 			<!-- min and max attribute allows us to add a minimum or maximum number to be input in our number type input element. -->
		 			<!-- age -->
		 			<label for="ageInput">Age:</label>
		 			<br>
		 			<input type="number" name="age" id="ageInput" min="18" max="40" required>
		 			<br>

		 			<label for="genderInput">
		 				<!-- select tag allows us to create a dropdown menu to select an option

						we provide a value attribute per option as this will be the data sent with our form.
		 				 -->
		 				<select name="gender" id="genderInput">
		 					<option value="male">Male</option>
		 					<option value="Female">Female</option>
		 				</select>
		 			</label>

		 			<!-- radio type input allows us to create radio buttons which lets user pass a single piece of information based on multiple other radio buttons 
					
					the name attribute of radio buttons should be the same to allow only one value to be stored or passeed with our form. This will then allow multiple selection of our radio buttons.

		 			-->
		 			<br>
		 			<label for="newUser">New User? </label>
		 			<br>
		 				<input type="radio" name="yes" id="newUser">Yes
		 			
		 				<input type="radio" name="yes" id="newUser">No
		 			

		 			<br>


		 			<label>Role:</label>
		 			<br>

		 			<!-- check box -->
		 			<!-- checkbox type input will create a checkbox wich allows for multiple selection among multiple choices. -->
		 			<!-- for multiple selection, the name attribute for each checkbox should be unique BUT related. -->
		 			<input type="checkbox" name="role1" id="roleInput1" value="developer">Developer
		 			<br>
		 			<input type="checkbox" name="role2" id="roleInput2" value="student">Student
		 			<br>

					<input type="checkbox" name="role3" id="roleInput3" value="manager">Manager
		 			<br>


		 			<!-- button -->
		 			<!-- buttons are used in different purposes in HTML, when button are used in a form, they are used to submit the form. Thus, we add the type="submit" attribute. -->
		 			<button type="submit">Submit</button>
		 			<button type="reset">Reset</button>

		 		</form>
		 	</section>
		 </main>
	</body>
</html>